Page MenuHomePhabricator

[analyzer] PR43551: Do not dereferce void* in UndefOrNullArgVisitor
ClosedPublic

Authored by Szelethus on Oct 7 2019, 2:07 PM.

Diff Detail

Event Timeline

Szelethus created this revision.Oct 7 2019, 2:07 PM
NoQ accepted this revision.Oct 7 2019, 5:45 PM

Thanks!!

clang/lib/StaticAnalyzer/Core/BugReporterVisitors.cpp
2037–2040

Aha, so you're basically propagating this FIXME instead of addressing it. When it was originally added, i vaguely recall that the pointer that we were trying to dereference did not really need to be tracked to begin with. I'm really curious if that's still the case in this example.

clang/test/Analysis/novoidtypecrash.c
1–9

So does the warning get actually emitted, or is it marked as invalid? Maybe it's worth it to add -verify (and maybe even -analyzer-output=text) and assess how good the report actually is.

This revision is now accepted and ready to land.Oct 7 2019, 5:45 PM
NoQ added a comment.Oct 15 2019, 4:24 PM

I think it's worth it to commit the patch as-is, because the crash seems to be fairly popular.

This revision was automatically updated to reflect the committed changes.
NoQ added a comment.Oct 18 2019, 6:54 PM

Decided to commit myself in order to hurry things up^^
Also rC375328.